# The Uberon/CL Team

![](images/uberon_logo.png)

The Uberon team is responsible for managing the Uberon project. It usually comprises a number of professional ontology editors hired by various projects with an anatomy ontology component, a number of OBO volunteers and various stakeholders. Due to their closeness, the Uberon and CL ontologies are managed by the same team. See also the [GitHub contributor list](https://github.com/obophenotype/uberon/graphs/contributors).

## Current Uberon/CL Team

| Name (GitHub) | Funding Information | FTEs | Associated teams | Role | Responsibilities |
| ---- | ---- | ---- | ---- | ---- | ---- |
| David Osumi-Sutherland (@dosumis) | [HuBMAP](https://commonfund.nih.gov/hubmap/fundedresearch), [Phenomics First](https://grantome.com/grant/NIH/RM1-HG010860-01) | some | [Editors](https://github.com/orgs/obophenotype/teams/uberon-cl-curators) | Lead | Coordination, Strategy |
| Chris Mungall (@cmungall) | [Phenomics First](https://grantome.com/grant/NIH/RM1-HG010860-01) | 0 | [Editors](https://github.com/orgs/obophenotype/teams/uberon-cl-curators) | Lead | Coordination, Strategy, TCs/Orphan taxa/evolutionary variability |
| Alex Diehl | | 0 | [Editors](https://github.com/orgs/obophenotype/teams/uberon-cl-curators) | Ontology Editor | Immune cells |
| Anita Caron (@anitacaron)| | 0.2 | [Editors](https://github.com/orgs/obophenotype/teams/uberon-cl-curators) | Ontology Pipeline Developer | Bulk Edits, Quality Control, Pipeline. |
| Ceri Van Slyke (@cerivs) | [ZFIN](https://zfin.org/) | 0 | [Editors](https://github.com/orgs/obophenotype/teams/uberon-cl-curators) | Ontology Editor | ZFA-Uberon mappings. |
| Chuan Xu || 0 | [Editors](https://github.com/orgs/obophenotype/teams/uberon-cl-curators) | Ontology Editor | |
| Damien Goutte-Gattat | [FlyBase](https://flybase.org/) | 0 | [Editors](https://github.com/orgs/obophenotype/teams/uberon-cl-curators) | Ontology Pipeline Developer | Contributing to FBbt-Uberon mappings. |
| Ellen M Quardokus (@emquardokus) | [HuBMAP](https://commonfund.nih.gov/hubmap/fundedresearch)|0| [Editors](https://github.com/orgs/obophenotype/teams/uberon-cl-curators) | Ontology Editor | Human Biomolecular Atlas Program (HuBMAP) new term requests.|
| Jim Balhoff (@balhoff) | | 0 | [Editors](https://github.com/orgs/obophenotype/teams/uberon-cl-curators) | Ontology Editor | External advisor. |
| Joshua Fortriede | |0 | [Editors](https://github.com/orgs/obophenotype/teams/uberon-cl-curators) | Ontology Editor | |
| Meghan Balk (@megbalk)|  | 0 | [Editors](https://github.com/orgs/obophenotype/teams/uberon-cl-curators) | Ontology Editor | |
| Nico Matentzoglu (@matentzn) | [Phenomics First](https://grantome.com/grant/NIH/RM1-HG010860-01) | 0 | [Editors](https://github.com/orgs/obophenotype/teams/uberon-cl-curators) | Ontology Pipeline Developer | Bulk Edits, Quality Control, Pipeline. |
| Nicole Vasilevsky (@nicolevasilevsky) | [Phenomics First](https://grantome.com/grant/NIH/RM1-HG010860-01)  | 0 | [Editors](https://github.com/orgs/obophenotype/teams/uberon-cl-curators) | Ontology Editor | Edits needed for Mondo or uPheno. |
| Paola Roncaglia (@paolaroncaglia) | [Human Cell Atlas](https://www.humancellatlas.org/) | some | [Editors](https://github.com/orgs/obophenotype/teams/uberon-cl-curators) | Principal Ontology Editor | Editing cell type terms needed for single-cell projects (Human Cell Atlas (HCA), Single Cell Expression Atlas, etc.) |
| Patrick Ray |  | 0 | [Editors](https://github.com/orgs/obophenotype/teams/uberon-cl-curators) | Ontology Editor | Editing Neurons and brain related terms.| 
| Ray Stefancsik (@rays22) | [Phenomics First](https://grantome.com/grant/NIH/RM1-HG010860-01) | 0.2 | [Editors](https://github.com/orgs/obophenotype/teams/uberon-cl-curators) | Principal Ontology Editor | Editing; Tickets needed for the Phenotype Reconciliation Effort; Documentation. |
| Sabrina Toro (@sabrinatoro) | [Phenomics First](https://grantome.com/grant/NIH/RM1-HG010860-01)  | 0 | [Editors](https://github.com/orgs/obophenotype/teams/uberon-cl-curators) | Ontology Editor | Edits needed for Mondo or uPheno. |
| Shawn Tan (@shawntanzk)| | 0 | [Editors](https://github.com/orgs/obophenotype/teams/uberon-cl-curators) | Ontology Pipeline Developer, Ontology Editor | Editing Neurons and brain related terms. |
| Tiago Lubiana Alves (@lubianat) |  | 0 | [Editors](https://github.com/orgs/obophenotype/teams/uberon-cl-curators) | Ontology Editor | New Term Requests. |
| Wasila Dahdul (@wdahdul) | | 0 | [Editors](https://github.com/orgs/obophenotype/teams/uberon-cl-curators) | Ontology Editor | External advisor. |
| Yvonne Bradford (@ybradford) | [ZFIN](https://zfin.org/) | 0 | [Editors](https://github.com/orgs/obophenotype/teams/uberon-cl-curators) | Ontology Editor | ZFA-Uberon mappings. |
| Bradley Varner (@bvarner-ebi) | [Cell Annotation Platform]() | 1 | [Editors](https://github.com/orgs/obophenotype/teams/uberon-cl-curators) | Ontology Editor | New cell types & edits for CAP |


## Past team members and major contributors

- Melissa Haendel (@mellybelly)
- Maria Keays (@mkeays)
- Tom Gillespie (@tgbugs)
 
