Uberon References
-----------------

The ontology http://purl.obolibrary.org/obo/uberon/references.owl
contains embedded documentation, including design decision documents
and references to external documentation.

The directory contains the extracted contents of these references.

Ontology editors, see the file README-editors.md

If you wish to make comments on any of the documents here, please use
either the obo-anatomy mailing list or the Uberon tracker:

 * https://github.com/cmungall/uberon/issues

Contents
--------

<!-- AUTO-ADD-CONTENTS -->

 * biological_modeling
     * 0000001 [Epithelial configurations](http://purl.obolibrary.org/obo/uberon/references/reference_0000001) *(initial draft)*
     * 0000003 [Appendages and appendicular skeleton](http://purl.obolibrary.org/obo/uberon/references/reference_0000003) *(intermediate draft)*
     * 0000006 [Ontology schema for representing the cephalic region and postcranial axial skeletal system](http://purl.obolibrary.org/obo/uberon/references/reference_0000006) *(initial draft)*
     * 0000010 [Extraembryonic membranes](http://purl.obolibrary.org/obo/uberon/references/reference_0000010) *(initial draft)*
     * 0000019 [Autopod subdivisions](http://purl.obolibrary.org/obo/uberon/references/reference_0000019) *(initial draft)*
 * description_of_a_meeting
     * 0000002 [Phenotype RCN Neural Crest Meeting](http://purl.obolibrary.org/obo/uberon/references/reference_0000002) *(initial draft)*
     * 0000008 [Obo-anatomy call, 2012-08-17](http://purl.obolibrary.org/obo/uberon/references/reference_0000008) *(published)*
 * metadata_description
     * 0000000 [UDoc - the Uberon documentation system](http://purl.obolibrary.org/obo/uberon/references/reference_0000000) *(intermediate draft)*
     * 0000021 [Depictions of anatomical structures](http://purl.obolibrary.org/obo/uberon/references/reference_0000021) *(intermediate draft)*
     * 0000030 [Continuous integration](http://purl.obolibrary.org/obo/uberon/references/reference_0000030) *()*
     * 0000038 [Provenance of relationships in Uberon](http://purl.obolibrary.org/obo/uberon/references/reference_0000038) *()*
 * ontology_design_pattern
     * 0000004 [Mereotopological relations](http://purl.obolibrary.org/obo/uberon/references/reference_0000004) *(initial draft)*
     * 0000009 [Representing individual endochondral elements](http://purl.obolibrary.org/obo/uberon/references/reference_0000009) *(intermediate draft)*
     * 0000014 [Representation of paired structures](http://purl.obolibrary.org/obo/uberon/references/reference_0000014) *(intermediate draft)*
     * 0000015 [Automatic classification of skeleton partonomy](http://purl.obolibrary.org/obo/uberon/references/reference_0000015) *(intermediate draft)*
     * 0000016 [Inter-ontology disjointness axioms](http://purl.obolibrary.org/obo/uberon/references/reference_0000016) *(intermediate draft)*
     * 0000017 [Multiple inheritance in Uberon](http://purl.obolibrary.org/obo/uberon/references/reference_0000017) *(intermediate draft)*
     * 0000018 [Part-disjointness](http://purl.obolibrary.org/obo/uberon/references/reference_0000018) *(intermediate draft)*
     * 0000022 [Taxon constraints](http://purl.obolibrary.org/obo/uberon/references/reference_0000022) *(intermediate draft)*
     * 0000023 [Evolutionary variability and general class axioms](http://purl.obolibrary.org/obo/uberon/references/reference_0000023) *(initial draft)*
     * 0000025 [Skeletal system vs skeleton](http://purl.obolibrary.org/obo/uberon/references/reference_0000025) *()*
     * 0000032 [Automatic inference of part_of relationships](http://purl.obolibrary.org/obo/uberon/references/reference_0000032) *()*
     * 0000034 [Digestive tract](http://purl.obolibrary.org/obo/uberon/references/reference_0000034) *()*
     * 0000035 [Conflation and Discrimination](http://purl.obolibrary.org/obo/uberon/references/reference_0000035) *()*
     * 0000036 [Developmental stages](http://purl.obolibrary.org/obo/uberon/references/reference_0000036) *()*
     * 0000039 [Representation of joints/articulations](http://purl.obolibrary.org/obo/uberon/references/reference_0000039) *()*
 * ontology_usage_article
     * 0000024 [Connections between biological processes and anatomical structures](http://purl.obolibrary.org/obo/uberon/references/reference_0000024) *(intermediate draft)*
     * 0000026 [Inter anatomy ontology bridge module ontologies](http://purl.obolibrary.org/obo/uberon/references/reference_0000026) *()*
     * 0000027 [Multi-species importer ontologies](http://purl.obolibrary.org/obo/uberon/references/reference_0000027) *()*
     * 0000028 [Multi-species composite ontologies](http://purl.obolibrary.org/obo/uberon/references/reference_0000028) *()*
     * 0000037 [Synonyms in uberon](http://purl.obolibrary.org/obo/uberon/references/reference_0000037) *()*
 * spreadsheet_documentation
     * 0000007 [Vertebrate cranial terms](http://purl.obolibrary.org/obo/uberon/references/reference_0000007) *(peer reviewed)*
